| Flutter iOS Embedder |

Protected Attributes | Properties | List of all members
FlutterAppDelegate Class Reference

`#import <FlutterAppDelegate.h>`

## Protected Attributes
| __pad0__: UIResponder <UIApplicationDelegate
| FlutterPluginRegistry

## Properties
FlutterAppLifeCycleProvider UIWindow * | window
NSObject< FlutterPluginRegistrant > * | pluginRegistrant
FlutterViewController *(^ | rootFlutterViewControllerGetter )(void)
FlutterPluginAppLifeCycleDelegate * | lifeCycleDelegate

## Detailed Description

`UIApplicationDelegate` subclass for simple apps that want default behavior.

This class implements the following behaviors:

- Status bar touches are forwarded to the key window's root view `FlutterViewController`, in order to trigger scroll to top.
- Keeps the Flutter connection open in debug mode when the phone screen locks.

App delegates for Flutter applications are not required to inherit from this class. Developers of custom app delegate classes should copy and paste code as necessary from FlutterAppDelegate.mm.

Definition at line 27 of file FlutterAppDelegate.h.

## Member Data Documentation

## ◆ __pad0__

- __pad0__
| protected

Definition at line 26 of file FlutterAppDelegate.h.

## ◆ FlutterPluginRegistry

- FlutterPluginRegistry
| protected

Definition at line 28 of file FlutterAppDelegate.h.

## Property Documentation

## ◆ lifeCycleDelegate

- (FlutterPluginAppLifeCycleDelegate*) lifeCycleDelegate
| read write nonatomic strong

Provided by category FlutterAppDelegate(Test).

Definition at line 27 of file FlutterSceneLifeCycle_Test.h.

## ◆ pluginRegistrant

- (NSObject< FlutterPluginRegistrant > *) pluginRegistrant
| read write nonatomic strong

The `FlutterPluginRegistrant` that will be used when FlutterViewControllers are instantiated from nibs.

The `FlutterAppDelegate` itself can be passed in without creating a retain cycle.

This was introduced to help users migrate code from the FlutterAppDelegate when UISceneDelegate was adopted. Using FlutterViewController.pluginRegistrant should be preferred since it doesn't rely on the FlutterAppDelegate.

Definition at line 44 of file FlutterAppDelegate.h.

## ◆ rootFlutterViewControllerGetter

- (FlutterViewController*(^ rootFlutterViewControllerGetter) (void))
| read write nonatomic copy

Provided by category FlutterAppDelegate(Test).

## ◆ window

- (FlutterAppLifeCycleProvider UIWindow*) window
| read write nonatomic strong

Definition at line 30 of file FlutterAppDelegate.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Headers/FlutterAppDelegate.h
- shell/platform/darwin/ios/framework/Source/FlutterAppDelegate.mm